#
# spec file for package libcnotify
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libcnotify
%define lname	libcnotify1
Version:        20240414
Release:        1.2
Summary:        Library for C notify functions
License:        LGPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/libyal/libcnotify
Source:         https://github.com/libyal/libcnotify/releases/download/%version/libcnotify-beta-%version.tar.gz
Source2:        https://github.com/libyal/libcnotify/releases/download/%version/libcnotify-beta-%version.tar.gz.asc
Source9:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20240413
# Various notes: https://en.opensuse.org/libyal

%description
A library for C notify functions.  Part of the libyal library collection.

%package -n %lname
Summary:        Library for C notify functions
Group:          System/Libraries

%description -n %lname
A library for C notify functions.

%package devel
Summary:        Development files for libcnotify, a C notify library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for C notify functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcnotify.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING.LESSER
%_libdir/libcnotify.so.1*

%files devel
%_includedir/libcnotify*
%_libdir/libcnotify.so
%_libdir/pkgconfig/libcnotify.pc
%_mandir/man3/libcnotify.3*

%changelog
* Sun Apr 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240414
  * No changelog was provided
* Mon Jan  8 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240108
  * No changelog was provided
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Sat Jan  8 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220108
  * No changes, version bump only.
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210411 (2e4e84c5)
  * No changelog was provided
- Add system-libs.patch
* Sun Dec 13 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200913
  * no documented changes
* Sat Apr 13 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20180102
  * worked on tests
* Sun Oct  1 2017 Greg.Freemyer@gmail.com
- update to v0~20170311
  * worked on tests
* Wed Feb 15 2017 Greg.Freemyer@gmail.com
- update to v0~20170107
  * worked on tests
* Mon Jan  5 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to v0~20140105
  * updated dependencies
  * 2014 update
* Tue Jul 30 2013 Greg.Freemyer@gmail.com
- update to v0~20130609
  * fix in .pc.in file
  * updated dependencies
  * 2013 update
- change compression to gz to simplyfy download/convert step
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121224) for build.opensuse.org
